Loading...
Searching...
No Matches
Dune::Amg::CoarsenCriterion< T > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

The criterion describing the stop criteria for the coarsening process. More...

`#include <dune/istl/paamg/matrixhierarchy.hh>`

Inheritance diagram for Dune::Amg::CoarsenCriterion< T >:

## Public Types

typedef T | AggregationCriterion
| The criterion for tagging connections as strong and nodes as isolated. This might be e.g. SymmetricCriterion or UnSymmetricCriterion.

## Public Member Functions

| CoarsenCriterion (int maxLevel=100, int coarsenTarget=1000, double minCoarsenRate=1.2, double prolongDamp=1.6, AccumulationMode accumulate=successiveAccu, bool useFixedOrder=false)
| Constructor.
| CoarsenCriterion (const Dune::Amg::Parameters &parms)

## Detailed Description

template<class T>
class Dune::Amg::CoarsenCriterion< T >

The criterion describing the stop criteria for the coarsening process.

## Member Typedef Documentation

## AggregationCriterion

template<class T>

typedef T Dune::Amg::CoarsenCriterion< T >::AggregationCriterion

The criterion for tagging connections as strong and nodes as isolated. This might be e.g. SymmetricCriterion or UnSymmetricCriterion.

## Constructor & Destructor Documentation

## CoarsenCriterion() [1/2]

template<class T>

Dune::Amg::CoarsenCriterion< T >::CoarsenCriterion | ( | int | maxLevel = 100,
|  | int | coarsenTarget = 1000,
|  | double | minCoarsenRate = 1.2,
|  | double | prolongDamp = 1.6,
|  | AccumulationMode | accumulate = successiveAccu,
|  | bool | useFixedOrder = false )

inline

Constructor.

Parameters

  maxLevel | The maximum number of levels allowed in the matrix hierarchy (default: 100).
  coarsenTarget | If the number of nodes in the matrix is below this threshold the coarsening will stop (default: 1000).
  minCoarsenRate | If the coarsening rate falls below this threshold the coarsening will stop (default: 1.2)
  prolongDamp | The damping factor to apply to the prolongated update (default: 1.6)
  accumulate | Whether to accumulate the data onto fewer processors on coarser levels.
  useFixedOrder | Flag indicating if creating indices for the coarser level should be done in a fixed order, i.e., the order in which the rows were sent. If set to true, this makes the runs reproducible but it might slow down performance.

## CoarsenCriterion() [2/2]

template<class T>

Dune::Amg::CoarsenCriterion< T >::CoarsenCriterion | ( | const Dune::Amg::Parameters & | parms | ) |

inline

The documentation for this class was generated from the following file:

- matrixhierarchy.hh